> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all price adjustments for a cart item

> Get all the price adjustments made to a specific line item within the given cart.



## OpenAPI

````yaml cart-service get /v2/carts/{cartId}/items/{lineItemId}/adjustments
openapi: 3.0.1
info:
  title: Cart API
  description: >-
    fabric's Cart APIs let you add, update, and remove items from your
    Storefront cart, either as a guest user or as a logged-in user. It also
    provides functionality to merge carts when you switch from guest user to
    logged-in user, to apply coupon codes and other attributes (for example,
    gift wrapping) to the cart items. Additionally, it supports more advanced
    use cases such as using multiple carts within a B2B organization and sharing
    of carts, as well as supporting a unified cart experience for multi-region
    and multi-brand businesses. <br /><br />These APIs provide high performance,
    scalability, multi-tenancy, and configurability to the end-to-end order
    processing actions that start from an item being added to the cart, through
    the pre-checkout stage that includes billing, shipping, and payment details,
    to the checkout stage where the order is processed and confirmed by the
    fabric Order Management System (OMS) or alternatively an Order Draft can be
    created. An order draft can be used to coordinate the creation of an order
    in any other downstream systems.
  contact:
    name: Cart Support
    email: support.cnc@fabric.inc
  license:
    name: fabric API License
    url: https://fabric.inc/api-license
  version: 2.0.0
servers:
  - url: https://prod.cart.fabric.inc
security: []
tags:
  - name: Cart
    description: >-
      Cart endpoints let you do basic cart operations, such as create a cart,
      add item to the cart, update items, remove items, delete cart, update
      status of the cart, and more.
  - name: Attribute
    description: >-
      Attribute endpoints let you add, update, and remove different types of
      attributes to and from the cart, and items in the cart.
  - name: Shipping
    description: >-
      Shipping endpoints let you do shipping related activities, such as create
      or update shipping details ID, add shipping information to all items of
      the cart, add different shipping details for different items, and more.
  - name: Order Draft
    description: >-
      Order drafts are the final state of a cart, containing all the required
      information needed to create an order. All these information undergoes
      validations before being generated and stored as order drafts. Once an
      order draft is created, it cannot be changed.The following endpoints let
      you create and manage such order drafts.
  - name: Adjustments
    description: >-
      Using these endpoints, you can make adjustments to a cart or to the line
      items within a cart.
paths:
  /v2/carts/{cartId}/items/{lineItemId}/adjustments:
    get:
      tags:
        - Adjustments
      summary: Get all price adjustments for a cart item
      description: >-
        Get all the price adjustments made to a specific line item within the
        given cart.
      operationId: getItemPriceAdjustments
      parameters:
        - $ref: '#/components/parameters/x-site-context'
        - name: cartId
          in: path
          description: >-
            Cart ID to retrieve price adjustment details of a `lineItemId`
            within the cart
          required: true
          schema:
            type: string
            example: d7e78a21-bee3-4448-bf1c-d5b5461dbda2
        - name: lineItemId
          in: path
          description: >-
            Cart item's sequence number (starts at 1) for which price adjustment
            details are to be retrieved
          required: true
          schema:
            type: integer
            format: int32
            example: 3
        - $ref: '#/components/parameters/x-api-key'
        - $ref: '#/components/parameters/authorization'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PriceAdjustmentResponse'
        '400':
          description: Client error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundError'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ServerError'
components:
  parameters:
    x-site-context:
      name: x-site-context
      in: header
      description: >-
        The `x-site-context` header is a JSON object that contains information
        about the source you wish to pull from. The mandatory `account` is the
        24 character identifier found in Copilot. The `channel` (Sales channel
        ID), `stage` (environment name), and `date` attributes can be used to
        further narrow the scope of your data source.
      required: true
      schema:
        type: string
        example: >-
          {"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account":
          "1234abcd5678efgh9ijklmno","stage":"production"}
    x-api-key:
      name: x-api-key
      in: header
      description: API Key for Gateway
      required: false
      schema:
        type: string
        example: zaCELgL.0imfnc8mVLWwsAawjYr4Rx-Af50DDqtlx
    authorization:
      name: Authorization
      in: header
      description: Authorization token for the user
      required: true
      schema:
        type: string
        example: eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJpZCI6IjYxZjIyMTU4...
  schemas:
    PriceAdjustmentResponse:
      description: Sample response containing price adjustment details
      type: object
      properties:
        priceAdjustments:
          description: >-
            List of price adjustment details for the specified line item or the
            specified cart
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/CartItemPriceAdjustment'
    ClientError:
      description: Client error details
      type: object
      properties:
        code:
          description: Error code, meant for machine consumption
          type: string
          example: Bad Request
        message:
          description: Human-readable error description
          type: string
          example: User ID or Cart ID does not exist
    NotFoundError:
      description: Not-found error details
      type: object
      properties:
        code:
          description: Error code, meant for machine consumption
          type: string
          example: Cart or item not found
        message:
          description: Human-readable error description
          type: string
          example: If the issue persists please contact support@fabric.inc.
    ServerError:
      description: Server error details
      type: object
      properties:
        code:
          description: Error code, meant for machine consumption
          type: string
          example: Internal Server Error
        message:
          description: Human-readable error description
          type: string
          example: >-
            An internal error occurred. If the issue persists please contact
            support@fabric.inc.
    CartItemPriceAdjustment:
      description: Price adjustment details
      required:
        - id
        - reason
        - amount
      type: object
      properties:
        id:
          type: string
          description: >-
            Price adjustment ID; it identifies a single price adjustment object
            from the list of price adjustments.
          nullable: false
          example: d7e78a21-bee3-4448-bf1c-d5b5461dbda2
        reason:
          type: string
          description: Price adjustment reason
          nullable: false
          example: compensation for delay
        amount:
          type: number
          description: >-
            Amount by which the line item's total amount or the specified cart's
            total amount is adjusted
          format: double
          example: 20
          minimum: 0
        attributes:
          type: object
          additionalProperties: true
          description: Placeholder for additional information
          nullable: true
          example:
            goldMember:
              - false

````